REST API
Alerts
Water safety alerts
Retrieve alerts for your organization, newest first.
Authorization
ApiKeyAuth AuthorizationBearer <token>
Bearer token with your API key. Example: Bearer sk_live_xxx
In: header
Query Parameters
status?string
limit?integer
Response Body
application/json
curl -X GET "https://example.com/alerts"{
"recType": "alert-collection",
"items": [
{
"id": "alert-abc123",
"recType": "alert",
"buildingId": "bld_xyz",
"spaceId": "space_101",
"assetId": "asset-1AbcDeF2GhiJkL",
"type": "high_temp",
"severity": "high",
"status": "new",
"details": "Water temperature exceeded 60°C for 24h",
"recommendedAction": "Flush the tap and verify circulation",
"timestamp": "2024-05-21T10:30:00.000Z",
"updatedAt": null
}
],
"totalItems": 1
}Retrieve a single alert by ID.
Authorization
ApiKeyAuth AuthorizationBearer <token>
Bearer token with your API key. Example: Bearer sk_live_xxx
In: header
Path Parameters
alertId*string
Response Body
application/json
application/json
curl -X GET "https://example.com/alerts/string"{
"id": "string",
"recType": "alert",
"buildingId": "string",
"spaceId": "string",
"assetId": "string",
"type": "high_temp",
"severity": "low",
"status": "new",
"details": "string",
"recommendedAction": "string",
"timestamp": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"success": false,
"message": "Invalid or inactive API key"
}How is this guide?